Create 7

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /admin/company

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

application/json

Body Required

  • company object
    Hide company attributes Show company attributes object
    • created string(date-time)
    • lastUpdated string(date-time)
    • version integer(int32)
    • id string(uuid)
    • name string

      Minimum length is 0, maximum length is 50.

    • location object
      Hide location attributes Show location attributes object
      • streetAddress string

        Minimum length is 0, maximum length is 50.

      • city string

        Minimum length is 0, maximum length is 30.

      • provinceState string

        Minimum length is 0, maximum length is 30.

      • postalCode string

        Minimum length is 0, maximum length is 10.

      • country string

        Minimum length is 0, maximum length is 50.

    • deleted boolean
    • companyType string

      Values are Foundations or SmartPM.

    • ssoRealm string
    • maxUsers integer(int32)
    • maxSchedules integer(int32)
    • maxSchedulesPerProject integer(int32)
    • defaultProjectPlanId string
    • slotUsageTypeId string(uuid)
    • defaultQualityProfileId integer(int64)
    • defaultRiskProfileId integer(int64)
    • defaultHealthProfileId string(uuid)
    • isolatedAiTenant boolean
    • constructionIndustrySegment string

      Values are CONSULTANT, CONTRACTOR_OR_CM, DEVELOPER, GOVERNMENT_OR_MUNICIPALITY, HOME_BUILDER, INSURANCE, INTERNAL, OTHER, OWNER, RESELLER_OR_TECH_PARTNER, SUBCONTRACTOR, VENDOR_OR_SUPPLIER, or UNKNOWN.

    • aggregatedMetrics boolean
    • licenseType string

      Values are PROJECT_BASED or USER_BASED.

    • academyAccess boolean
    • defaultWorkspaceTemplateId string
    • defaultDashboardTemplateId string
    • primaryChecklistId integer(int64)
  • user object
    Hide user attributes Show user attributes object
    • firstName string Required

      Minimum length is 1, maximum length is 15.

    • lastName string Required

      Minimum length is 1, maximum length is 15.

    • phone string

      Minimum length is 0, maximum length is 20.

    • email string(email)
    • title string
    • roleIds array[string]
    • ssoUser boolean
  • projectPlans array[object]
    Hide projectPlans attributes Show projectPlans attributes object
    • projectPlanId string(uuid)
    • projectsAllocated integer(int32)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • company object
      Hide company attributes Show company attributes object
      • created string(date-time)
      • lastUpdated string(date-time)
      • version integer(int32)
      • id string(uuid)
      • name string

        Minimum length is 0, maximum length is 50.

      • location object
        Hide location attributes Show location attributes object
        • streetAddress string

          Minimum length is 0, maximum length is 50.

        • city string

          Minimum length is 0, maximum length is 30.

        • provinceState string

          Minimum length is 0, maximum length is 30.

        • postalCode string

          Minimum length is 0, maximum length is 10.

        • country string

          Minimum length is 0, maximum length is 50.

      • deleted boolean
      • companyType string

        Values are Foundations or SmartPM.

      • ssoRealm string
      • maxUsers integer(int32)
      • maxSchedules integer(int32)
      • maxSchedulesPerProject integer(int32)
      • defaultProjectPlanId string
      • slotUsageTypeId string(uuid)
      • defaultQualityProfileId integer(int64)
      • defaultRiskProfileId integer(int64)
      • defaultHealthProfileId string(uuid)
      • isolatedAiTenant boolean
      • constructionIndustrySegment string

        Values are CONSULTANT, CONTRACTOR_OR_CM, DEVELOPER, GOVERNMENT_OR_MUNICIPALITY, HOME_BUILDER, INSURANCE, INTERNAL, OTHER, OWNER, RESELLER_OR_TECH_PARTNER, SUBCONTRACTOR, VENDOR_OR_SUPPLIER, or UNKNOWN.

      • aggregatedMetrics boolean
      • licenseType string

        Values are PROJECT_BASED or USER_BASED.

      • academyAccess boolean
      • defaultWorkspaceTemplateId string
      • defaultDashboardTemplateId string
      • primaryChecklistId integer(int64)
    • user object
      Hide user attributes Show user attributes object
      • firstName string Required

        Minimum length is 1, maximum length is 15.

      • lastName string Required

        Minimum length is 1, maximum length is 15.

      • phone string

        Minimum length is 0, maximum length is 20.

      • email string(email)
      • title string
      • roleIds array[string]
      • ssoUser boolean
    • projectPlans array[object]
      Hide projectPlans attributes Show projectPlans attributes object
      • projectPlanId string(uuid)
      • projectsAllocated integer(int32)
POST /admin/company
curl \
 --request POST 'https://live.smartpmtech.com/admin/company' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "company": {
    "created": "2026-05-04T09:42:00Z",
    "lastUpdated": "2026-05-04T09:42:00Z",
    "version": 42,
    "id": "string",
    "name": "string",
    "location": {
      "streetAddress": "string",
      "city": "string",
      "provinceState": "string",
      "postalCode": "string",
      "country": "string"
    },
    "logo": "string",
    "deleted": true,
    "companyType": "Foundations",
    "ssoRealm": "string",
    "maxUsers": 42,
    "maxSchedules": 42,
    "maxSchedulesPerProject": 42,
    "defaultProjectPlanId": "string",
    "slotUsageTypeId": "string",
    "defaultQualityProfileId": 42,
    "defaultRiskProfileId": 42,
    "defaultHealthProfileId": "string",
    "isolatedAiTenant": true,
    "constructionIndustrySegment": "CONSULTANT",
    "aggregatedMetrics": true,
    "licenseType": "PROJECT_BASED",
    "academyAccess": true,
    "defaultWorkspaceTemplateId": "string",
    "defaultDashboardTemplateId": "string",
    "primaryChecklistId": 42
  },
  "user": {
    "firstName": "string",
    "lastName": "string",
    "phone": "string",
    "email": "hello@example.com",
    "title": "string",
    "roleIds": [
      "string"
    ],
    "ssoUser": true
  },
  "projectPlans": [
    {
      "projectPlanId": "string",
      "projectsAllocated": 42
    }
  ]
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "company": {
    "created": "2026-05-04T09:42:00Z",
    "lastUpdated": "2026-05-04T09:42:00Z",
    "version": 42,
    "id": "string",
    "name": "string",
    "location": {
      "streetAddress": "string",
      "city": "string",
      "provinceState": "string",
      "postalCode": "string",
      "country": "string"
    },
    "logo": "string",
    "deleted": true,
    "companyType": "Foundations",
    "ssoRealm": "string",
    "maxUsers": 42,
    "maxSchedules": 42,
    "maxSchedulesPerProject": 42,
    "defaultProjectPlanId": "string",
    "slotUsageTypeId": "string",
    "defaultQualityProfileId": 42,
    "defaultRiskProfileId": 42,
    "defaultHealthProfileId": "string",
    "isolatedAiTenant": true,
    "constructionIndustrySegment": "CONSULTANT",
    "aggregatedMetrics": true,
    "licenseType": "PROJECT_BASED",
    "academyAccess": true,
    "defaultWorkspaceTemplateId": "string",
    "defaultDashboardTemplateId": "string",
    "primaryChecklistId": 42
  },
  "user": {
    "firstName": "string",
    "lastName": "string",
    "phone": "string",
    "email": "hello@example.com",
    "title": "string",
    "roleIds": [
      "string"
    ],
    "ssoUser": true
  },
  "projectPlans": [
    {
      "projectPlanId": "string",
      "projectsAllocated": 42
    }
  ]
}
Response examples (200)
{
  "company": {
    "created": "2026-05-04T09:42:00Z",
    "lastUpdated": "2026-05-04T09:42:00Z",
    "version": 42,
    "id": "string",
    "name": "string",
    "location": {
      "streetAddress": "string",
      "city": "string",
      "provinceState": "string",
      "postalCode": "string",
      "country": "string"
    },
    "logo": "string",
    "deleted": true,
    "companyType": "Foundations",
    "ssoRealm": "string",
    "maxUsers": 42,
    "maxSchedules": 42,
    "maxSchedulesPerProject": 42,
    "defaultProjectPlanId": "string",
    "slotUsageTypeId": "string",
    "defaultQualityProfileId": 42,
    "defaultRiskProfileId": 42,
    "defaultHealthProfileId": "string",
    "isolatedAiTenant": true,
    "constructionIndustrySegment": "CONSULTANT",
    "aggregatedMetrics": true,
    "licenseType": "PROJECT_BASED",
    "academyAccess": true,
    "defaultWorkspaceTemplateId": "string",
    "defaultDashboardTemplateId": "string",
    "primaryChecklistId": 42
  },
  "user": {
    "firstName": "string",
    "lastName": "string",
    "phone": "string",
    "email": "hello@example.com",
    "title": "string",
    "roleIds": [
      "string"
    ],
    "ssoUser": true
  },
  "projectPlans": [
    {
      "projectPlanId": "string",
      "projectsAllocated": 42
    }
  ]
}